Bug 219577 - net-mgmt/seafile-client: Updated to 6.0.6
Summary: net-mgmt/seafile-client: Updated to 6.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL: https://seacloud.cc/group/3/wiki/clie...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-05-26 17:55 UTC by Ultima
Modified: 2017-05-30 14:07 UTC (History)
1 user (show)

See Also:


Attachments
seafile-client.diff (6.32 KB, patch)
2017-05-26 17:55 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2017-05-26 17:55:07 UTC
Created attachment 182940 [details]
seafile-client.diff

This is an update to the Seafile-client bundle.

Ports affected:
net-mgmt/seafile-client, net-mgmt/ccnet-client, net-mgmt/seafile-gui

* Updated to 6.0.6
* Added Makefile.include to update version
* Added target makesum-all for bundle

 - Sort files by numbers if numbers contained in the file name, so "1, 10, 2, 11, 3" will be sorted as "1, 2, 3, 10, 11".
 - Use native system window for Seafile main windown and cloud file browser window.
 - Fix progress overflow when uploading large file using cloud file browser
 - Improve the tip when removing an account in the client
 - Don't show download button when select folders in cloud file browser
 - Clean cache data of cloud file browser when logout an account or restart the client
 - [fix] Fix display problem for high screen Windows in win10
 - [fix] Fix libssl compatibility problem in Debain Stretch
 - Add auto-update check


portlint -AC:
net-mgmt/ccnet-client                                                                                                                                                                                                                         
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.                                                                                                                                              
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.                                                                                                                                                 
0 fatal errors and 2 warnings found.                                                                                                                                                                                                          
net-mgmt/seafile-client                                                                                                                                                                                                                       
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.                                                                                                                                              
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.                                                                                                                                                 
0 fatal errors and 2 warnings found.                                                                                                                                                                                                          
net-mgmt/seafile-gui                                                                                                                                                                                                                          
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.                                                                                                                                              
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.                                                                                                                                                 
0 fatal errors and 2 warnings found.


poudriere bulk -tC:
12amd64: success https://poudriere.ultimasbox.com/build.html?mastername=12amd64-test&build=2017-05-26_13h35m31s 
12i386: success https://poudriere.ultimasbox.com/build.html?mastername=12i386-test&build=2017-05-26_13h35m31s 
110amd64: success https://poudriere.ultimasbox.com/build.html?mastername=110amd64-test&build=2017-05-26_13h35m28s 
110i386: success https://poudriere.ultimasbox.com/build.html?mastername=110i386-test&build=2017-05-26_13h35m29s 
103amd64: success https://poudriere.ultimasbox.com/build.html?mastername=103amd64-test&build=2017-05-26_13h35m26s 
103i386: success https://poudriere.ultimasbox.com/build.html?mastername=103i386-test&build=2017-05-26_13h35m28s
Comment 1 Ultima 2017-05-27 11:07:01 UTC
(In reply to Ultima from comment #0)
Server the poudriere logs are on is being moved will be down for some time.
Comment 2 commit-hook freebsd_committer 2017-05-27 14:56:48 UTC
A commit references this bug:

Author: lifanov
Date: Sat May 27 14:55:53 UTC 2017
New revision: 441845
URL: https://svnweb.freebsd.org/changeset/ports/441845

Log:
  update Seafile client bundle to 6.0.6

  Ports affected:
  net-mgmt/seafile-client, net-mgmt/ccnet-client, net-mgmt/seafile-gui

  * Updated to 6.0.6
  * Added Makefile.include to update version
  * Added target makesum-all for bundle

   - Sort files by numbers if numbers contained in the file name, so "1, 10, 2, 11, 3" will be sorted as "1, 2, 3, 10, 11".
   - Use native system window for Seafile main windown and cloud file browser window.
   - Fix progress overflow when uploading large file using cloud file browser
   - Improve the tip when removing an account in the client
   - Don't show download button when select folders in cloud file browser
   - Clean cache data of cloud file browser when logout an account or restart the client
   - [fix] Fix display problem for high screen Windows in win10
   - [fix] Fix libssl compatibility problem in Debain Stretch
   - Add auto-update check

  PR:		219577
  Submitted by:	ultima1252@gmail.com (maintainer)

Changes:
  head/net-mgmt/ccnet-client/Makefile
  head/net-mgmt/ccnet-client/distinfo
  head/net-mgmt/seafile-client/Makefile
  head/net-mgmt/seafile-client/Makefile.include
  head/net-mgmt/seafile-client/distinfo
  head/net-mgmt/seafile-gui/Makefile
  head/net-mgmt/seafile-gui/distinfo
  head/net-mgmt/seafile-gui/files/patch-CMakeLists.txt
Comment 3 Nikolai Lifanov freebsd_committer 2017-05-30 14:07:06 UTC
Committed, thanks!